#ifndef __SCROLL_H
#define __SCROLL_H

#include "setup.h"

struct cCharScroll {
private:
    int Delay;
public:
    cCharScroll(void);
    ~cCharScroll();
    cBitmap *bmp;
    cTimeMs Time;
    bool SetText(const char *text, int textnumber = 0);
    bool DrawNeeded(void);
    int Width() const {return bmp ? bmp->Width() : 0;}
    int Height() const {return bmp ? bmp->Height() : 0;}
    char *Text;
    const cFont *Font;
    tColor Fg;
    tColor Bg;
    int xOff;
    int yOff;
    int DestWidth;
    int ColorDepth;
    int pos;
    int dir;
    int delay;
    int intervall;
    };
#endif //__SCROLL_H
